diff -up ./SciCalc.fld.icon ./SciCalc.fld
--- ./SciCalc.fld.icon	2016-02-15 15:43:54.676010265 +0300
+++ ./SciCalc.fld	2016-02-15 15:45:39.309002451 +0300
@@ -11,6 +11,15 @@ decl {\#include <stdio.h>} {private loca
 decl {\#include "math.h"} {private local
 } 
 
+decl {\#include <FL/Fl_Pixmap.H>} {selected private global
+}
+
+decl {\#include "ICONS/calc.xpm"} {private global
+}
+
+decl {Fl_Pixmap icon(calc_xpm);} {private local
+}
+
 Function {gammaln(double xx)} {open private return_type double
 } {
   code {int j;
@@ -516,7 +525,9 @@ else
 	set_brktdisp();
 	radio_10->value(1);
 	set_drgdisp();
-	set_display(0.0,NONE);} {}
+	set_display(0.0,NONE);
+	Fl_RGB_Image image(&icon);
+	win->icon(&image);} {}
   }
   Function {~SciCalc()} {open
   } {
